import { RadialBaseChart } from "./RadialBaseChart";
import { ProportionalCategoryAngleAxis } from "./ProportionalCategoryAngleAxis";
import { NumericRadiusAxis } from "./NumericRadiusAxis";
import { PropertyChangedEventArgs, Type } from "igniteui-react-core";
import { PieChartSweepDirection } from "./PieChartSweepDirection";
import { CalloutCollisionMode } from "igniteui-react-core";
import { Brush } from "igniteui-react-core";
import { LegendEmptyValuesMode } from "igniteui-react-core";
import { OthersCategoryType } from "igniteui-react-core";
import { AxisRangeBufferMode } from "./AxisRangeBufferMode";
import { RadialLabelMode } from "igniteui-react-core";
import { CollisionAvoidanceType } from "./CollisionAvoidanceType";
import { RadialBase } from "./RadialBase";
import { Series } from "./Series";
import { RadialPieSeries } from "./RadialPieSeries";
import { DataSeries } from "igniteui-react-core";
import { Axis } from "./Axis";
import { MarkerType } from "./MarkerType";
import { DataSeriesType } from "igniteui-react-core";
/**
 * @hidden
 */
export declare abstract class DataPieBaseChart extends RadialBaseChart {
    static $t: Type;
    constructor();
    protected hb(): boolean;
    protected aka(a: (arg1: RadialBase) => void): void;
    protected akb(a: (arg1: RadialBase, arg2: number) => void): void;
    protected aj8(a: (arg1: RadialPieSeries) => void): void;
    protected aj9(a: (arg1: RadialPieSeries, arg2: number) => void): void;
    protected wm(): void;
    protected c2(a: Series, b: number): MarkerType;
    protected wk(a: DataSeries): void;
    protected g7(a: DataSeries): boolean;
    protected wn(): void;
    private ahi;
    get angleAxis(): ProportionalCategoryAngleAxis;
    set angleAxis(a: ProportionalCategoryAngleAxis);
    private ahc;
    get valueAxis(): NumericRadiusAxis;
    set valueAxis(a: NumericRadiusAxis);
    protected get_ahu(): boolean;
    protected get ahu(): boolean;
    protected dc(a: DataSeries, b: DataSeriesType): Series;
    protected u3(a: Series, b: number): void;
    private aho;
    protected z1(): Axis;
    protected z2(): Axis;
    protected ud(): void;
    protected akc(a: any, b: PropertyChangedEventArgs): void;
    protected akd(a: any, b: PropertyChangedEventArgs): void;
    protected t7(a: Series, b: number): void;
    protected ae8(a: Axis): void;
    protected ae6(a: Axis): void;
    protected vr(a: string, b: any, c: any): void;
    private ait;
    get ajp(): string;
    set ajp(a: string);
    private agz;
    get ag3(): any[];
    set ag3(a: any[]);
    private aip;
    get ai9(): string;
    set ai9(a: string);
    private agx;
    get ag1(): any[];
    set ag1(a: any[]);
    private air;
    get aji(): string;
    set aji(a: string);
    private agy;
    get ag2(): any[];
    set ag2(a: any[]);
    private aio;
    get ai5(): string;
    set ai5(a: string);
    private agw;
    get ag0(): any[];
    set ag0(a: any[]);
    private ah0;
    get aia(): number;
    set aia(a: number);
    private ahg;
    get ahh(): PieChartSweepDirection;
    set ahh(a: PieChartSweepDirection);
    private ag6;
    get ag7(): CalloutCollisionMode;
    set ag7(a: CalloutCollisionMode);
    private akf;
    get akh(): Brush;
    set akh(a: Brush);
    private ake;
    get akg(): Brush;
    set akg(a: Brush);
    private aiu;
    get aj5(): string;
    set aj5(a: string);
    private ain;
    get ai3(): string;
    set ai3(a: string);
    private aha;
    get ahb(): LegendEmptyValuesMode;
    set ahb(a: LegendEmptyValuesMode);
    private ahe;
    get ahf(): OthersCategoryType;
    set ahf(a: OthersCategoryType);
    private ah1;
    get aib(): number;
    set aib(a: number);
    private aiq;
    get aje(): string;
    set aje(a: string);
    private aim;
    get ai0(): string;
    set ai0(a: string);
    private ahr;
    get ahw(): boolean;
    set ahw(a: boolean);
    private ag4;
    get ag5(): AxisRangeBufferMode;
    set ag5(a: AxisRangeBufferMode);
    private ahy;
    get ah8(): number;
    set ah8(a: number);
    private ahz;
    get ah9(): number;
    set ah9(a: number);
    private ah4;
    get aig(): number;
    set aig(a: number);
    private ahs;
    get ahx(): boolean;
    set ahx(a: boolean);
    private aik;
    get ail(): number;
    set ail(a: number);
    private ah6;
    get aii(): number;
    set aii(a: number);
    private ah5;
    get aih(): number;
    set aih(a: number);
    private ah7;
    get aij(): number;
    set aij(a: number);
    get aif(): number;
    get aie(): number;
    private ah2;
    get aic(): number;
    set aic(a: number);
    private ah3;
    get aid(): number;
    set aid(a: number);
    private ais;
    get ajn(): string;
    set ajn(a: string);
    private ahl;
    get ahn(): RadialLabelMode;
    set ahn(a: RadialLabelMode);
    private ahk;
    get ahm(): RadialLabelMode;
    set ahm(a: RadialLabelMode);
    private ahp;
    get aht(): boolean;
    set aht(a: boolean);
    private ahq;
    get ahv(): boolean;
    set ahv(a: boolean);
    private ag8;
    get ag9(): CollisionAvoidanceType;
    set ag9(a: CollisionAvoidanceType);
}
